Subject: Fastener Mail Order Source Wanted

From: [email-masked] (John Pinkham)
Date: 2 Mar 1994 14:44:54 GMT

Anyone know of good sources for mail order fasteners?  I have the Small
Parts catalog. It's beautiful, but the prices seem wildly inflated.
I'd really like to buy some assortments to have on hand. Seems like
I waste a lot of time going to the local Home-Base-Depot-Square
looking for one or two bolts.  Northern
Hydraulics lists an assortment of Grade 5 bolts, something like 1000
bolts,nuts, and washers for < $50.  Anybody bite on that one?

                       John Pinkham
                       Portland, OR
--
   The opinions expressed are not necessarily those of the University of
     North Carolina at Chapel Hill, the Campus Office for Information
        technology, or the Experimental Bulletin Board Service.
           internet:  laUNChpad.unc.edu or 152.2.22.80

---

From: [email-masked] (Michael J. Edelman)
Date: 2 Mar 1994 15:29:09 GMT

>Parts catalog. It's beautiful, but the prices seem wildly inflated.
 
Try Metals by Mail. They sell boxes of 50-100, but will break a box for smaller
quantities for something like a 10% premium. I believe the address is in the 
FAQ. They advertise in HSM as well.

--mike

---

From: [email-masked] (Terry Mayhugh)
Date: 2 Mar 1994 18:41:55 GMT

In article <[email-masked]>, [email-masked]
(John Pinkham) wrote:

> Anyone know of good sources for mail order fasteners?  
I purchased a similar assortment from Harbor Freight and was quite pleased.

---

From: [email-masked] (Chuck Lampman)
Date: Wed, 02 Mar 1994 15:38:47 -0500

> Anyone know of good sources for mail order fasteners?  

It isn't quite mail-order, but what I do is try to make it
to one of the larger old car swap meets in the Southeast each 
couple of years. There are almost always vendors  selling fasteners 
in bulk for great prices. I've got all the grade five (and some 
grade 8's) 1/4 and 5/16 inch machine screws in 3/4, 1 and 1 1/4 
inch lengths, and aircraft type lock nuts to go with them, that I'll 
ever need, and I don't think I paid over 50 cents a pound for any of them.

The meets I usually hit are the Spring Atlanta meet over Memorial 
Day weekend, and Charlotte in the Fall. Surely this isn't just a 
Southeast thing- it happens all over.  

Chuck Lampman
[email-masked]